#
# Conditional build:
%bcond_with	tests	# unit tests (many failures)

Summary:	Plugin for nose or pytest that automatically reruns flaky tests
Summary(pl.UTF-8):	Wtyczka dla nose lub pytesta automatycznie uruchamiająca ponownie niepewne testy
Name:		python3-flaky
Version:	3.8.1
Release:	2
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/flaky/
Source0:	https://files.pythonhosted.org/packages/source/f/flaky/flaky-%{version}.tar.gz
# Source0-md5:	59d67ca4439d37936fb7368c140d23e7
URL:		https://pypi.org/project/flaky/
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-genty
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Flaky is a plugin for nose or pytest that automatically reruns flaky
tests.

Ideally, tests reliably pass or fail, but sometimes test fixtures must
rely on components that aren't 100% reliable. With flaky, instead of
removing those tests or marking them to @skip, they can be
automatically retried.

%description -l pl.UTF-8
Flaky to wtyczka dla nose lub pytesta automatycznie uruchamiająca
ponownie niepewne testy.

Idealnie testy powinny deterministycznie powodzić się lub nie, ale
czasem wypozażenia testów muszą polegać na komponentach nie w pełni
deterministycznych. Przy pomocy modułu flaky, zamiast usuwania tych
testów lub oznaczania ich @skip, można je automatycznie ponowić.

%prep
%setup -q -n flaky-%{version}

%build
%py3_build

%if %{with tests}
%{__python3} -m unittest discover -s test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/flaky
%{py3_sitescriptdir}/flaky-%{version}-py*.egg-info
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-flaky.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> b14072c
- Release 2 (by relup.sh)

* Sat Feb 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 2540500
- Up to 3.8.1

* Sun Sep 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 24df2f4
- updated to 3.7.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 352d9c7
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> e8dd96e
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 7746006
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 392cc47
- release 3 (by relup.sh)

* Mon Jan 13 2020 Jakub Bogusz <qboosh@pld-linux.org> c55eb31
- updated tests running (no deprecated setuptools test command, tox not required)
- updated tests depencies, added mock patch not to require python3-mock; but tests still fail

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> fd301f0
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Oct 04 2019 Jakub Bogusz <qboosh@pld-linux.org> b7a3a30
- new

